Reputation metrics

Delivered, hard-bounced and complained counts with the bounce and complaint rates, optionally for one domain.

GEThttps://app.usenotix.dev/api/v1/analytics/reputation-metrics

Full access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.

Delivered, hard-bounced and complained counts with the bounce and complaint rates, optionally for one domain.

Query parameters

domainIdinteger

Filter by domain ID

Minimum 0.

Headers

Authorizationstringrequired

Bearer followed by your API key.

curl -X GET "https://app.usenotix.dev/api/v1/analytics/reputation-metrics" \
  -H "Authorization: Bearer $NOTIX_API_KEY"
Response200
{
  "delivered": 1,
  "hardBounced": 1,
  "complained": 1,
  "bounceRate": 1,
  "complaintRate": 1
}
Open in ClaudeOpen in ChatGPT